Skip to main content
PATCH
Update webhook

Authorizations

Authorization
string
header
required

Use your account ID as the username and your personal access token (PAT) as the password, or pass a Base64-encoded value directly in the Authorization header. For more information, see the personal access tokens guide.

Path Parameters

webhookID
string<uuid>
required

Unique object identifier

Example:

"42e113f9-9353-4e89-9f68-69b92f423b0c"

Body

application/json
url
string<url>

Webhook URL

Example:

"https://mycompany.com/updateFromHelpDesk"

eventType
enum<string>
Available options:
tickets.create,
tickets.update,
tickets.statusChange,
tickets.events.status,
tickets.events.priority,
tickets.events.message,
tickets.events.tags,
tickets.events.followers,
tickets.events.assignment

Response

200 - application/json

Successful response.

ID
string<uuid>

Unique object identifier.

licenseID
integer

Unique account identifier.

createdAt
string<date-time>

The time of creation.

createdBy
string<uuid>

The creator identifier.

createdByType
enum<string>

The creator type.

Available options:
agent,
client,
system
updatedAt
string<date-time>

The time of last modification.

updatedBy
string<uuid>

The modification author identifier.

name
string

Optional webhook name.

Pattern: /^[-:a-z0-9]+$/
url
string<url>

Webhook URL.

eventType
enum<string>
Available options:
tickets.create,
tickets.update,
tickets.statusChange,
tickets.events.status,
tickets.events.priority,
tickets.events.message,
tickets.events.tags,
tickets.events.followers,
tickets.events.assignment